diff --git a/pgadmin/dlg/dlgIndex.cpp b/pgadmin/dlg/dlgIndex.cpp
index 5716361..3f91a74 100644
--- a/pgadmin/dlg/dlgIndex.cpp
+++ b/pgadmin/dlg/dlgIndex.cpp
@@ -381,7 +381,10 @@ int dlgIndex::Go(bool modal)
 				lstColumns->SetItem(colIdx, 1, descDef);
 				lstColumns->SetItem(colIdx, 2, nullsDef);
 				lstColumns->SetItem(colIdx, 3, opclassDef);
-				lstColumns->SetItem(colIdx, 4, collationsArray.Item(colIdx));
+				if (collationsArray.Count() > colIdx)
+				{
+					lstColumns->SetItem(colIdx, 4, collationsArray.Item(colIdx));
+				}
 			}
 		}
 		else
@@ -400,7 +403,10 @@ int dlgIndex::Go(bool modal)
 
 				lstColumns->InsertItem(colIdx, colsArr.Item(colIdx), columnFactory.GetIconId());
 				lstColumns->SetItem(colIdx, 3, cbOpClass->GetValue());
-				lstColumns->SetItem(colIdx, 4, collationsArray.Item(colIdx));
+				if (collationsArray.Count() > colIdx)
+				{
+					lstColumns->SetItem(colIdx, 4, collationsArray.Item(colIdx));
+				}
 			}
 		}
 
